CREATE OR REPLACE FUNCTION airportDescription(code VARCHAR2) RETURN VARCHAR2 IS
  description  VARCHAR2(80);
  proxyServer  VARCHAR2(80) := 'www-proxy.us.oracle.com';
  service_url  VARCHAR2(80);
  xml_response xmldom.DOMDocument;
BEGIN
  -- This is the url of the XML Web Service to lookup airports by code
  service_url := 'http://ws5.olab.com/xsql/demo/airport/airport.xsql';

  -- Do an HTTP Get of the service_url, tacking on the "airport" parameter
  xml_http.get(service_url||'?airport='||code,
               xml_response,
               proxyServer);

  -- If the Document Element is <Ok>, then return the description
  IF xpath.test(xml_response,'Ok') THEN
    RETURN xpath.valueOf(xml_response,'/Ok/Airport/Description');
  ELSE
    RETURN NULL;
  END IF;
END;

