CREATE OR REPLACE PROCEDURE allow_url_access( to_user VARCHAR2,
                                              on_server VARCHAR2) IS
BEGIN

  -- Note "on_server" can include a leading asterisk (e.g. '*.oracle.com')
  -- See JavaDoc for the java.net.SocketPermission class for other legal values
  dbms_java.grant_permission(grantee           => to_user,
                             permission_type   => 'java.net.SocketPermission',
                             permission_name   => on_server,
                             permission_action => 'connect,resolve');
END;


