<!-- TechnicalPaper.xsl -->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
  <xsl:template match="/">
    <!-- Find the <table> whose first row's first table header has "Symbol" -->
    <xsl:for-each select="//table[tr[1]/td[1]/b[1]='1.']">
      <AmazonSearch>
        <!-- For each row after the first row -->
        <xsl:for-each select="tr[position() mod 2 = 1]">
          <Book>
             <!-- Ticker Symbol is the first <td>'s first anchor value -->
             <Title><xsl:value-of select="td[2]/b[1]/a[1]"/></Title>
             <!-- Price is the third cell, first bold tag's  <td>'s first anchor value -->
             <Price><xsl:value-of select="substring-after(following-sibling::tr[1]/td[1]/text()[1],'Our Price:$')"/></Price>
          </Book>
        </xsl:for-each>
      </AmazonSearch>
    </xsl:for-each>
  </xsl:template>
</xsl:stylesheet>
