set verify off
set feedback off
PROMPT Creating site_category...
DROP TABLE site_category;
CREATE TABLE site_category (
  name VARCHAR2(80),
  icon VARCHAR2(240),
  url  VARCHAR2(240),
  pos  NUMBER
);

INSERT INTO site_category VALUES ('News','news.gif','/news/',1);
INSERT INTO site_category VALUES ('Software','software.gif','/software/',2);
INSERT INTO site_category VALUES ('Standards','w3c.gif','/standards/',3);
INSERT INTO site_category VALUES ('Resources','resources.gif','/resources/',4);

PROMPT Creating site_entry table...
DROP TABLE site_entry;
CREATE TABLE site_entry (
  id          NUMBER,
  title       VARCHAR2(240),
  url         VARCHAR2(240),
  categories  VARCHAR2(40)
);

INSERT INTO site_entry VALUES (
  10,
  'New XML Content on Oracle Technology Network',
  'http://technet.oracle.com/tech/xml/',
  'NEWS,XML'
);

INSERT INTO site_entry VALUES (
  9,
  'XML.org Premieres As Repository For Schemas',
  'http://www.infoworld.com/cgi-bin/displayStory.pl?990526.iceoasis.htm',
  'NEWS,XML'
);

INSERT INTO site_entry VALUES (
  8,
  'Microsoft''s Maritz at TechEd on XML',
  'http://www.infoworld.com/cgi-bin/displayStory.pl?990524.icmaritz.htm',
  'NEWS,XML'
);

INSERT INTO site_entry VALUES (
  7,
  'IBM XML Translator Generator',
  'http://www.alphaworks.ibm.com/tech/xmltranslatorgenerator/',
  'NEWS,SOFTWARE,XML'
);

INSERT INTO site_entry VALUES (
  6,
  'Something here',
  'http://www.example.com/',
  'NEWS,SOFTWARE,XML'
);

INSERT INTO site_entry VALUES (
  5,
  'Something else here',
  'http://www.example.com/else/',
  'NEWS,SOFTWARE,XML'
);

INSERT INTO site_entry VALUES (
  4,
  'Still something else here',
  'http://www.example.com/else/still/',
  'NEWS,SOFTWARE,XML'
);

INSERT INTO site_entry VALUES (
  3,
  'Beta 1.5 of Microsoft XML Notepad',
  'http://msdn.microsoft.com/xml/notepad/intro.asp',
  'NEWS,SOFTWARE,XML'
);

INSERT INTO site_entry VALUES (
  2,
  'SAXON 4.2 Released',
  'http://home.iclweb.com/ic12/mhkay/saxon.html',
  'NEWS,SOFTWARE,XML'
);

PROMPT Creating person_name type...
DROP TABLE LOCATION;
DROP TABLE CLIENTS;
DROP TYPE PERSON_NAME;
DROP TYPE ADDRESS;
CREATE TYPE person_name AS OBJECT (
  givenname VARCHAR2(16),
  familyname VARCHAR2(16)
);
/

PROMPT Creating address type...
CREATE TYPE address AS OBJECT (
  street VARCHAR2(80),
  city VARCHAR2(20),
  state VARCHAR2(2),
  postcode VARCHAR2(8),
  country VARCHAR2(20)
);
/

PROMPT Creating table clients...
CREATE TABLE clients (
  id          NUMBER PRIMARY KEY,
  name        PERSON_NAME,
  homeaddress ADDRESS,
  workaddress ADDRESS
);

INSERT INTO clients VALUES
  (101,
   person_name('Tim','Jones'),
   address('301 Ruxpin Road','Palo Alto','CA','94301','USA'),
   address('12 Infinite Loop','Cupertino','CA','95014','USA'));

PROMPT Creating table portfolio_stocks...
DROP TABLE portfolio_stocks;
CREATE TABLE portfolio_stocks (OWNER NUMBER, SYMBOL VARCHAR2(10));
INSERT INTO portfolio_stocks VALUES (101,'GE');
INSERT INTO portfolio_stocks VALUES (101,'ORCL');

PROMPT Creating table quotes...
DROP TABLE quotes;
CREATE TABLE quotes (SYMBOL VARCHAR2(10), PRICE NUMBER, CHANGE NUMBER);
INSERT INTO quotes VALUES ('ORCL',27.33,3.40);
INSERT INTO quotes VALUES ('GE',103.50,0.80);

PROMPT Creating type point...
DROP TYPE POINT;
CREATE TYPE POINT AS OBJECT (X NUMBER, Y NUMBER);
/

PROMPT Creating table location...
CREATE TABLE LOCATION (
  NAME   VARCHAR2(80),
  ORIGIN POINT
);

INSERT INTO LOCATION VALUES ('Someplace',POINT(11,17) );

PROMPT Creating table bookmark...
DROP TABLE bookmark;
CREATE TABLE bookmark (
  url   varchar2(240),
  title varchar2(240)
);

INSERT INTO bookmark VALUES (
  'http://www.stud.ifi.uio.no/~larsga/linker/XMLtools.html',
  'Free XML Software'
);

INSERT INTO bookmark VALUES (
  'http://technet.oracle.com/tech/xml/',
  'Oracle Technology Network XML Page'
);

COMMIT;