set verify off
set feedback off
PROMPT Creating claim table...
CREATE TABLE claim (
  claimid  NUMBER PRIMARY KEY,
  payment  NUMBER,
  damagereport  CLOB
);
INSERT INTO claim VALUES (
  77804,
  1000,
  '<Claim>
  <ClaimId>77804</ClaimId>
  <Payment>1000</Payment>
  <DamageReport>
    The insured''s <Vehicle Make="Volks">Beetle</Vehicle>
    broke through the guard rail and plummeted into a ravine.
    The cause was determined to be <Cause>faulty brakes</Cause>.
    Amazingly there were no casualties.
  </DamageReport>
</Claim>'
);

INSERT INTO claim VALUES (
  77805,
  1200,
  '<Claim>
  <ClaimId>77805</ClaimId>
  <Payment>1200</Payment>
  <DamageReport>
    The insured''s <Vehicle Make="Audi">TT</Vehicle>
    hit a tree. The cause was determined to be
    a <Cause>missing bolt</Cause> in the wheel assembly.
  </DamageReport>
</Claim>'
);

INSERT INTO claim VALUES (
  77806,
  250,
'<Claim>
  <ClaimId>77806</ClaimId>
  <Payment>250</Payment>
  <DamageReport>
    The insured''s <Vehicle Make="Toyota">Camry</Vehicle>
    <Cause>ran through a red light</Cause> and collided
    with another vehicle.  An inspection of the brakes found no defects.
  </DamageReport>
</Claim>'
);
PROMPT Creating XML Search index on claim(damagereport) column...
CREATE INDEX claim_idx ON claim(damagereport)
INDEXTYPE IS ctxsys.context
PARAMETERS ('section group ctxsys.auto_section_group');

PROMPT Creating movies table...
DROP TABLE movies;

CREATE TABLE movies (
  title     VARCHAR2(72) PRIMARY KEY,
  moviegram CLOB
);

INSERT INTO movies values (
  'The Man Who Knew Too Much',
  '<Movie>
  <Title>The Man Who Knew Too Much</Title>
  <Actors>
    <Actor>James Stewart</Actor>
    <Actor>Doris Day</Actor>
  </Actors>
  <Director>Alfred Hitchcock</Director>
</Movie>'
);

PROMPT Creating XML Search index on movies(moviegram) column...
CREATE INDEX movie_idx ON movies(moviegram)
INDEXTYPE IS ctxsys.context
PARAMETERS ('section group ctxsys.auto_section_group');

PROMPT Creating table inventory...
DROP TABLE inventory;

CREATE TABLE inventory (
  item_id    NUMBER PRIMARY KEY,
  item_type  VARCHAR2(12),
  item_name  VARCHAR2(64),
  item_info  CLOB
);

INSERT INTO inventory VALUES (
  101,
  'book',
  'Oracle Design',
  '<Book>
  <Title>Oracle Design</Title>
  <Description>
    This book looks thoroughly at the field of Oracle
    relational database design
  </Description>
</Book>'
);

INSERT INTO inventory VALUES (
  201,
  'CD',
  'Oracle: The Soundtrack',
  '<CD>
  <Title>Oracle: The Soundtrack</Title>
  <Description>
    Music inspired by the flexibility and speed of
    Everyone''s favorite RDBMS
  </Description>
</CD>'
);

INSERT INTO inventory VALUES (
  111,
  'Book',
  'Ancient Prophecies',
  '<Book>
  <Title>Ancient Prophecies</Title>
  <Description>
    The history of Greece''s Oracle at Delphi
  </Description>
</Book>'
);

PROMPT Creating XML Search index on inventory(item_info)...
CREATE INDEX inventory_idx ON inventory(item_info)
INDEXTYPE IS ctxsys.context
PARAMETERS ('section group ctxsys.auto_section_group');

