<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:include href="DisplayProduct.xsl"/>
  <xsl:output method="html" indent="no"/>
  <xsl:template match="/">
    <html>
    <body>
    <center>
      <xsl:choose>
        <!--
         | If we find some ROW's in the ROWSET then loop over them and
         | call the "displayProduct" named template to format each one
         +-->
        <xsl:when test="ROWSET/ROW">
          <table border="0">
            <xsl:for-each select="ROWSET/ROW">
            <tr>
              <td valign="top">
                <xsl:call-template name="displayProduct"/>
              </td>
            </tr>
            </xsl:for-each>
          </table>
        </xsl:when>
        <!-- If no ROW's in the ROWSET then display a message -->
        <xsl:otherwise>
          <xsl:text>No products match your search...</xsl:text>
        </xsl:otherwise>
      </xsl:choose>
    </center>
    </body>
    </html>
  </xsl:template>
</xsl:stylesheet>
